Bug 1479171 - HP printer no longer prints. Similar to bug 1440502. T
HP printer no longer prints. Similar to bug 1440502. T
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
26
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 02:14 EDT by Foggy Farkle
Modified: 2018-05-29 08:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:54:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
col.farkle: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Foggy Farkle 2017-08-08 02:14:09 EDT
Description of problem:
ried repairs listed but nothing. Will print test page but not actual print job.

Version-Release number of selected component (if applicable):
Fedora 26 


How reproducible:
tried to print from Open Office or from text same either way. Try test page and it prints.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Page 1 (<troubleshoot.SchedulerNotRunning.SchedulerNotRunning object at 0x7fbcbc22ecf8>):
{'cups_connection_failure': False}
Page 2 (<troubleshoot.ChoosePrinter.ChoosePrinter object at 0x7fbcbc248ba8>):
{'cups_dest': <cups.Dest HP_Color_LaserJet_MFP_M476nw (default)>,
 'cups_instance': None,
 'cups_queue': 'HP_Color_LaserJet_MFP_M476nw',
 'cups_queue_listed': True}
Page 3 (<troubleshoot.CheckPrinterSanity.CheckPrinterSanity object at 0x7fbcbc248be0>):
{'cups_device_uri_scheme': 'hp',
 'cups_printer_dict': {'device-uri': 'hp:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104',
                       'printer-info': '',
                       'printer-is-shared': True,
                       'printer-location': '',
                       'printer-make-and-model': 'HP Color LaserJet Pro MFP '
                                                 'M476 Postscript '
                                                 '(recommended)',
                       'printer-state': 3,
                       'printer-state-message': 'ready to print',
                       'printer-state-reasons': ['none'],
                       'printer-type': 8556572,
                       'printer-uri-supported': 'ipp://localhost/printers/HP_Color_LaserJet_MFP_M476nw'},
 'cups_printer_remote': False,
 'hplip_output': (['',
                   '\x1b[01mHP Linux Imaging and Printing System (ver. '
                   '3.17.7)\x1b[0m',
                   '\x1b[01mDevice Information Utility ver. 5.2\x1b[0m',
                   '',
                   'Copyright (c) 2001-15 HP Development Company, LP',
                   'This software comes with ABSOLUTELY NO WARRANTY.',
                   'This is free software, and you are welcome to distribute '
                   'it',
                   'under certain conditions. See COPYING file for more '
                   'details.',
                   '',
                   '',
                   '\x1b[01mhp:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104\x1b[0m',
                   '',
                   '\x1b[01mDevice Parameters (dynamic data):\x1b[0m',
                   '\x1b[01m  Parameter                     '
                   'Value(s)                                                  '
                   '\x1b[0m',
                   '  ----------------------------  '
                   '----------------------------------------------------------',
                   '  agent1-ack                    '
                   'False                                                     ',
                   '  agent1-desc                   Black toner '
                   'cartridge                                     ',
                   '  agent1-dvc                    '
                   '0                                                         ',
                   '  agent1-health                 '
                   '0                                                         ',
                   '  agent1-health-desc            '
                   'Good/OK                                                   ',
                   '  agent1-hp-ink                 '
                   'False                                                     ',
                   '  agent1-id                     '
                   '0                                                         ',
                   '  agent1-kind                   '
                   '4                                                         ',
                   '  agent1-known                  '
                   'False                                                     ',
                   '  agent1-level                  '
                   '50                                                        ',
                   '  agent1-level-trigger          '
                   '0                                                         ',
                   '  agent1-sku                    '
                   'CF380A                                                    ',
                   '  agent1-type                   '
                   '1                                                         ',
                   '  agent1-virgin                 '
                   'False                                                     ',
                   '  agent2-ack                    '
                   'False                                                     ',
                   '  agent2-desc                   Cyan toner '
                   'cartridge                                      ',
                   '  agent2-dvc                    '
                   '0                                                         ',
                   '  agent2-health                 '
                   '0                                                         ',
                   '  agent2-health-desc            '
                   'Good/OK                                                   ',
                   '  agent2-hp-ink                 '
                   'False                                                     ',
                   '  agent2-id                     '
                   '0                                                         ',
                   '  agent2-kind                   '
                   '4                                                         ',
                   '  agent2-known                  '
                   'False                                                     ',
                   '  agent2-level                  '
                   '30                                                        ',
                   '  agent2-level-trigger          '
                   '0                                                         ',
                   '  agent2-sku                    '
                   'CF381A                                                    ',
                   '  agent2-type                   '
                   '4                                                         ',
                   '  agent2-virgin                 '
                   'False                                                     ',
                   '  agent3-ack                    '
                   'False                                                     ',
                   '  agent3-desc                   Magenta toner '
                   'cartridge                                   ',
                   '  agent3-dvc                    '
                   '0                                                         ',
                   '  agent3-health                 '
                   '0                                                         ',
                   '  agent3-health-desc            '
                   'Good/OK                                                   ',
                   '  agent3-hp-ink                 '
                   'False                                                     ',
                   '  agent3-id                     '
                   '0                                                         ',
                   '  agent3-kind                   '
                   '4                                                         ',
                   '  agent3-known                  '
                   'False                                                     ',
                   '  agent3-level                  '
                   '30                                                        ',
                   '  agent3-level-trigger          '
                   '0                                                         ',
                   '  agent3-sku                    '
                   'CF383A                                                    ',
                   '  agent3-type                   '
                   '5                                                         ',
                   '  agent3-virgin                 '
                   'False                                                     ',
                   '  agent4-ack                    '
                   'False                                                     ',
                   '  agent4-desc                   Yellow toner '
                   'cartridge                                    ',
                   '  agent4-dvc                    '
                   '0                                                         ',
                   '  agent4-health                 '
                   '0                                                         ',
                   '  agent4-health-desc            '
                   'Good/OK                                                   ',
                   '  agent4-hp-ink                 '
                   'False                                                     ',
                   '  agent4-id                     '
                   '0                                                         ',
                   '  agent4-kind                   '
                   '4                                                         ',
                   '  agent4-known                  '
                   'False                                                     ',
                   '  agent4-level                  '
                   '30                                                        ',
                   '  agent4-level-trigger          '
                   '0                                                         ',
                   '  agent4-sku                    '
                   'CF382A                                                    ',
                   '  agent4-type                   '
                   '6                                                         ',
                   '  agent4-virgin                 '
                   'False                                                     ',
                   '  back-end                      '
                   'hp                                                        ',
                   '  cups-printers                 '
                   "['HP_Color_LaserJet_MFP_M476nw']                          ",
                   '  cups-uri                      '
                   'hp:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104     ',
                   '  '
                   'dev-file                                                                                ',
                   '  device-state                  '
                   '1                                                         ',
                   '  device-uri                    '
                   'hp:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104     ',
                   '  deviceid                      '
                   'MFG:Hewlett-Packard;CMD:PJL,PML,PCLXL,URP,PCL,PDF,POSTSCRI',
                   '                                PT;MDL:HP Color LaserJet '
                   'MFP                              ',
                   '                                '
                   'M476nw;CLS:PRINTER;DES:Hewlett-Packard Color LaserJet MFP ',
                   '                                '
                   'M476nw;MEM:MEM=226MB;COMMENT:RES=600x8;LEDMDIS:USB#ff#04#0',
                   '                                '
                   '1;CID:HPLJPDLV1;                                          ',
                   '  error-state                   '
                   '0                                                         ',
                   '  fax-uri                       '
                   'hpfax:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104  ',
                   '  host                          '
                   '192.168.1.104                                             ',
                   '  in-tray1                      '
                   '1                                                         ',
                   '  in-tray2                      '
                   '1                                                         ',
                   '  is-hp                         '
                   'True                                                      ',
                   '  panel                         '
                   '0                                                         ',
                   '  '
                   'panel-line1                                                                             ',
                   '  '
                   'panel-line2                                                                             ',
                   '  port                          '
                   '1                                                         ',
                   '  r                             '
                   '0                                                         ',
                   '  rg                            '
                   '000                                                       ',
                   '  rr                            '
                   '000000                                                    ',
                   '  rs                            '
                   '000000000                                                 ',
                   '  scan-uri                      '
                   'hpaio:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104  ',
                   '  serial                        '
                   'CNB6G2V8MK                                                ',
                   '  status-code                   '
                   '1046                                                      ',
                   '  status-desc                   In power save '
                   'mode                                        ',
                   '\x1b[01m',
                   'Model Parameters (static data):\x1b[0m',
                   '\x1b[01m  Parameter                     '
                   'Value(s)                                                  '
                   '\x1b[0m',
                   '  ----------------------------  '
                   '----------------------------------------------------------',
                   '  align-type                    '
                   '0                                                         ',
                   '  clean-type                    '
                   '0                                                         ',
                   '  color-cal-type                '
                   '0                                                         ',
                   '  copy-type                     '
                   '0                                                         ',
                   '  embedded-server-type          '
                   '0                                                         ',
                   '  fax-type                      '
                   '7                                                         ',
                   '  fw-download                   '
                   'False                                                     ',
                   '  icon                          '
                   'default_printer.png                                       ',
                   '  io-mfp-mode                   '
                   '1                                                         ',
                   '  io-mode                       '
                   '1                                                         ',
                   '  io-support                    '
                   '14                                                        ',
                   '  job-storage                   '
                   '0                                                         ',
                   '  linefeed-cal-type             '
                   '0                                                         ',
                   '  model                         '
                   'HP_Color_LaserJet_MFP_M476nw                              ',
                   '  model-ui                      HP Color LaserJet MFP '
                   'm476nw                              ',
                   '  model1                        HP Color Laserjet Pro MFP '
                   'M476nw                          ',
                   '  monitor-type                  '
                   '0                                                         ',
                   '  panel-check-type              '
                   '0                                                         ',
                   '  pcard-type                    '
                   '0                                                         ',
                   '  plugin                        '
                   '1                                                         ',
                   '  plugin-reason                 '
                   '64                                                        ',
                   '  power-settings                '
                   '0                                                         ',
                   '  ppd-name                      '
                   'color_laserjet_pro_mfp_m476                               ',
                   '  pq-diag-type                  '
                   '0                                                         ',
                   '  r-type                        '
                   '0                                                         ',
                   '  scan-src                      '
                   '3                                                         ',
                   '  scan-type                     '
                   '5                                                         ',
                   '  status-battery-check          '
                   '0                                                         ',
                   '  status-dynamic-counters       '
                   '0                                                         ',
                   '  status-type                   '
                   '10                                                        ',
                   '  support-released              '
                   'True                                                      ',
                   '  support-subtype               '
                   '17531                                                     ',
                   '  support-type                  '
                   '2                                                         ',
                   '  support-ver                   '
                   '3.14.4                                                    ',
                   '  tech-class                    '
                   "['Postscript']                                            ",
                   '  tech-subclass                 '
                   "['Normal']                                                ",
                   '  tech-type                     '
                   '4                                                         ',
                   '  usb-pid                       '
                   '13354                                                     ',
                   '  usb-vid                       '
                   '1008                                                      ',
                   '  wifi-config                   '
                   '3                                                         ',
                   '\x1b[01m',
                   'Status History (most recent first):\x1b[0m',
                   '\x1b[01m  Date/Time             Code   Status '
                   'Description                        User      Job ID  '
                   '\x1b[0m',
                   '  --------------------  -----  '
                   '----------------------------------------  --------  '
                   '--------',
                   '  08/07/17 22:46:51     1046   In power save '
                   'mode                        Howard    0       ',
                   '  08/07/17 15:57:55     501    Print job has '
                   'completed                   Howard    115     ',
                   '  08/07/17 15:57:42     500    Started a print '
                   'job                       Howard    115     ',
                   '  08/07/17 15:55:21     1000   '
                   'Idle                                      Howard    '
                   '0       ',
                   '  08/07/17 15:54:44     501    Print job has '
                   'completed                   Howard    114     ',
                   '  08/07/17 15:54:35     1002   Print job is '
                   'continuing                   Howard    0       ',
                   '  08/07/17 15:54:33     500    Started a print '
                   'job                       Howard    114     ',
                   '  08/07/17 15:54:33     1046   In power save '
                   'mode                        Howard    0       ',
                   '',
                   '',
                   'Done.',
                   ''],
                  ['\x1b[35;01mwarning: No display found.\x1b[0m',
                   '\x1b[31;01merror: hp-info -u/--gui requires Qt4 GUI '
                   'support. Entering interactive mode.\x1b[0m',
                   ''],
                  0),
 'is_cups_class': False,
 'local_cups_queue_attributes': {'charset-configured': 'utf-8',
                                 'charset-supported': ['us-ascii', 'utf-8'],
                                 'color-supported': True,
                                 'compression-supported': ['none', 'gzip'],
                                 'copies-default': 1,
                                 'copies-supported': (1, 9999),
                                 'cups-version': '2.2.2',
                                 'device-uri': 'hp:/net/HP_Color_LaserJet_MFP_M476nw?ip=192.168.1.104',
                                 'document-format-default': 'application/octet-stream',
                                 'document-format-supported': ['application/octet-stream',
                                                               'application/pdf',
                                                               'application/postscript',
                                                               'application/vnd.adobe-reader-postscript',
                                                               'application/vnd.cups-command',
                                                               'application/vnd.cups-pdf',
                                                               'application/vnd.cups-pdf-banner',
                                                               'application/vnd.cups-postscript',
                                                               'application/vnd.cups-raster',
                                                               'application/vnd.cups-raw',
                                                               'application/x-cshell',
                                                               'application/x-csource',
                                                               'application/x-perl',
                                                               'application/x-shell',
                                                               'image/gif',
                                                               'image/jpeg',
                                                               'image/png',
                                                               'image/pwg-raster',
                                                               'image/tiff',
                                                               'image/urf',
                                                               'image/x-bitmap',
                                                               'image/x-photocd',
                                                               'image/x-portable-anymap',
                                                               'image/x-portable-bitmap',
                                                               'image/x-portable-graymap',
                                                               'image/x-portable-pixmap',
                                                               'image/x-sgi-rgb',
                                                               'image/x-sun-raster',
                                                               'image/x-xbitmap',
                                                               'image/x-xpixmap',
                                                               'image/x-xwindowdump',
                                                               'text/css',
                                                               'text/html',
                                                               'text/plain'],
                                 'finishings-default': 3,
                                 'finishings-supported': [3],
                                 'generated-natural-language-supported': ['en-us'],
                                 'ipp-features-supported': ['subscription-object'],
                                 'ipp-versions-supported': ['1.0',
                                                            '1.1',
                                                            '2.0',
                                                            '2.1'],
                                 'ippget-event-life': 15,
                                 'job-cancel-after-default': 10800,
                                 'job-cancel-after-supported': (0, 2147483647),
                                 'job-creation-attributes-supported': ['copies',
                                                                       'finishings',
                                                                       'ipp-attribute-fidelity',
                                                                       'job-hold-until',
                                                                       'job-name',
                                                                       'job-priority',
                                                                       'job-sheets',
                                                                       'media',
                                                                       'media-col',
                                                                       'multiple-document-handling',
                                                                       'number-up',
                                                                       'output-bin',
                                                                       'orientation-requested',
                                                                       'page-ranges',
                                                                       'print-color-mode',
                                                                       'print-quality',
                                                                       'printer-resolution',
                                                                       'sides'],
                                 'job-hold-until-default': 'no-hold',
                                 'job-hold-until-supported': ['no-hold',
                                                              'indefinite',
                                                              'day-time',
                                                              'evening',
                                                              'night',
                                                              'second-shift',
                                                              'third-shift',
                                                              'weekend'],
                                 'job-ids-supported': True,
                                 'job-k-limit': 0,
                                 'job-k-octets-supported': (0, 51474912),
                                 'job-page-limit': 0,
                                 'job-priority-default': 50,
                                 'job-priority-supported': [100],
                                 'job-quota-period': 0,
                                 'job-settable-attributes-supported': ['copies',
                                                                       'finishings',
                                                                       'job-hold-until',
                                                                       'job-name',
                                                                       'job-priority',
                                                                       'media',
                                                                       'media-col',
                                                                       'multiple-document-handling',
                                                                       'number-up',
                                                                       'output-bin',
                                                                       'orientation-requested',
                                                                       'page-ranges',
                                                                       'print-color-mode',
                                                                       'print-quality',
                                                                       'printer-resolution',
                                                                       'sides'],
                                 'job-sheets-default': ('none', 'none'),
                                 'job-sheets-supported': ['none',
                                                          'classified',
                                                          'confidential',
                                                          'form',
                                                          'secret',
                                                          'standard',
                                                          'topsecret',
                                                          'unclassified'],
                                 'jpeg-k-octets-supported': (0, 51474912),
                                 'jpeg-x-dimension-supported': (0, 65535),
                                 'jpeg-y-dimension-supported': (1, 65535),
                                 'marker-change-time': 0,
                                 'media-bottom-margin-supported': [423],
                                 'media-col-supported': ['media-bottom-margin',
                                                         'media-left-margin',
                                                         'media-right-margin',
                                                         'media-size',
                                                         'media-source',
                                                         'media-top-margin',
                                                         'media-type'],
                                 'media-default': 'na_letter_8.5x11in',
                                 'media-left-margin-supported': [423],
                                 'media-right-margin-supported': [423],
                                 'media-source-supported': ['auto',
                                                            'tray-1',
                                                            'tray-1-man',
                                                            'tray-2',
                                                            'tray-3'],
                                 'media-supported': ['na_letter_8.5x11in',
                                                     'na_legal_8.5x14in',
                                                     'na_executive_7.25x10.5in',
                                                     'na_foolscap_8.5x13in',
                                                     'na_index-4x6_4x6in',
                                                     'na_index-5x8_5x8in',
                                                     'iso_a4_210x297mm',
                                                     'iso_a5_148x210mm',
                                                     'iso_a6_105x148mm',
                                                     'jis_b5_182x257mm',
                                                     'custom_101.6x152.05mm_101.6x152.05mm',
                                                     'na_oficio_8.5x13.4in',
                                                     'custom_195.09x269.88mm_195.09x269.88mm',
                                                     'custom_184.15x260mm_184.15x260mm',
                                                     'oe_7.75x10.75in_7.75x10.75in',
                                                     'jpn_hagaki_100x148mm',
                                                     'jpn_oufuku_148x200mm',
                                                     'na_number-10_4.125x9.5in',
                                                     'na_monarch_3.875x7.5in',
                                                     'om_env-isob-5_176.04x250.12mm',
                                                     'iso_c5_162x229mm',
                                                     'iso_dl_110x220mm',
                                                     'custom_min_3x5in',
                                                     'custom_max_8.5x14in'],
                                 'media-top-margin-supported': [423],
                                 'media-type-supported': ['unspecified',
                                                          'stationery',
                                                          'hpeco-smartlite',
                                                          'hplaser-jet-90',
                                                          'hpcolor-laser-matte-105',
                                                          'hppremium-choice-matte-120',
                                                          'hpbrochure-matte-150',
                                                          'hpcover-matte-200',
                                                          'hpmatte-photo-200',
                                                          'hppremium-presentation-glossy-120',
                                                          'hpbrochure-glossy-150',
                                                          'hptrifold-brochure-glossy-150',
                                                          'hpbrochure-glossy-200',
                                                          'light-6074',
                                                          'intermediate-8595',
                                                          'mid-weight-96110',
                                                          'heavy-111130',
                                                          'extra-heavy-131175',
                                                          'heavy-glossy-111130',
                                                          'extra-heavy-glossy-131175',
                                                          'cardstock',
                                                          'color-laser-transparency',
                                                          'labels',
                                                          'stationery-letterhead',
                                                          'envelope',
                                                          'heavy-envelope',
                                                          'stationery-preprinted',
                                                          'prepunched',
                                                          'colored',
                                                          'bond',
                                                          'stationery-recycled',
                                                          'rough',
                                                          'heavy-rough',
                                                          'hptough-paper',
                                                          'opaque-film'],
                                 'multiple-document-handling-supported': ['separate-documents-uncollated-copies',
                                                                          'separate-documents-collated-copies'],
                                 'multiple-document-jobs-supported': True,
                                 'multiple-operation-time-out': 300,
                                 'multiple-operation-time-out-action': 'process-job',
                                 'natural-language-configured': 'en-us',
                                 'notify-attributes-supported': ['printer-state-change-time',
                                                                 'notify-lease-expiration-time',
                                                                 'notify-subscriber-user-name'],
                                 'notify-events-default': ['job-completed'],
                                 'notify-events-supported': ['job-completed',
                                                             'job-config-changed',
                                                             'job-created',
                                                             'job-progress',
                                                             'job-state-changed',
                                                             'job-stopped',
                                                             'printer-added',
                                                             'printer-changed',
                                                             'printer-config-changed',
                                                             'printer-deleted',
                                                             'printer-finishings-changed',
                                                             'printer-media-changed',
                                                             'printer-modified',
                                                             'printer-restarted',
                                                             'printer-shutdown',
                                                             'printer-state-changed',
                                                             'printer-stopped',
                                                             'server-audit',
                                                             'server-restarted',
                                                             'server-started',
                                                             'server-stopped'],
                                 'notify-lease-duration-default': 86400,
                                 'notify-lease-duration-supported': (0,
                                                                     2147483647),
                                 'notify-max-events-supported': [100],
                                 'notify-pull-method-supported': ['ippget'],
                                 'notify-schemes-supported': ['dbus',
                                                              'mailto',
                                                              'rss'],
                                 'number-up-default': 1,
                                 'number-up-supported': [1, 2, 4, 6, 9, 16],
                                 'operations-supported': [2,
                                                          4,
                                                          5,
                                                          6,
                                                          8,
                                                          9,
                                                          10,
                                                          11,
                                                          12,
                                                          13,
                                                          16,
                                                          17,
                                                          18,
                                                          19,
                                                          20,
                                                          21,
                                                          22,
                                                          23,
                                                          24,
                                                          25,
                                                          26,
                                                          27,
                                                          28,
                                                          34,
                                                          35,
                                                          37,
                                                          38,
                                                          56,
                                                          57,
                                                          59,
                                                          16385,
                                                          16386,
                                                          16387,
                                                          16388,
                                                          16389,
                                                          16390,
                                                          16391,
                                                          16392,
                                                          16393,
                                                          16394,
                                                          16395,
                                                          16396,
                                                          16397,
                                                          16398,
                                                          16399,
                                                          16423,
                                                          14],
                                 'orientation-requested-default': None,
                                 'orientation-requested-supported': [3,
                                                                     4,
                                                                     5,
                                                                     6],
                                 'output-bin-default': 'face-down',
                                 'output-bin-supported': ['face-down'],
                                 'page-ranges-supported': True,
                                 'pages-per-minute': 20,
                                 'pages-per-minute-color': 20,
                                 'pdf-k-octets-supported': (0, 51474912),
                                 'pdf-versions-supported': ['adobe-1.2',
                                                            'adobe-1.3',
                                                            'adobe-1.4',
                                                            'adobe-1.5',
                                                            'adobe-1.6',
                                                            'adobe-1.7',
                                                            'iso-19005-1_2005',
                                                            'iso-32000-1_2008',
                                                            'pwg-5102.3'],
                                 'pdl-override-supported': ['attempted'],
                                 'port-monitor': 'none',
                                 'port-monitor-supported': ['none'],
                                 'print-color-mode-default': 'color',
                                 'print-color-mode-supported': ['monochrome',
                                                                'color'],
                                 'print-quality-default': 4,
                                 'print-quality-supported': [4, 5],
                                 'printer-commands': 'ReportLevels',
                                 'printer-config-change-date-time': '(IPP_TAG_DATE)',
                                 'printer-config-change-time': 1502146471,
                                 'printer-current-time': '(IPP_TAG_DATE)',
                                 'printer-device-id': 'MFG:Hewlett-Packard;MDL:hp '
                                                      'color laserjet mfp '
                                                      'm476nw;',
                                 'printer-dns-sd-name': 'HP_Color_LaserJet_MFP_M476nw '
                                                        '@ otis',
                                 'printer-error-policy': 'stop-printer',
                                 'printer-error-policy-supported': ['abort-job',
                                                                    'retry-current-job',
                                                                    'retry-job',
                                                                    'stop-printer'],
                                 'printer-geo-location': '(unknown IPP value '
                                                         'tag 0x12)',
                                 'printer-get-attributes-supported': ['document-format'],
                                 'printer-icons': 'http://localhost/icons/HP_Color_LaserJet_MFP_M476nw.png',
                                 'printer-info': '',
                                 'printer-is-accepting-jobs': True,
                                 'printer-is-shared': True,
                                 'printer-is-temporary': False,
                                 'printer-location': '',
                                 'printer-make-and-model': 'HP Color LaserJet '
                                                           'Pro MFP M476 '
                                                           'Postscript '
                                                           '(recommended)',
                                 'printer-more-info': 'http://localhost/printers/HP_Color_LaserJet_MFP_M476nw',
                                 'printer-name': 'HP_Color_LaserJet_MFP_M476nw',
                                 'printer-op-policy': 'default',
                                 'printer-op-policy-supported': ['authenticated',
                                                                 'default'],
                                 'printer-organization': '',
                                 'printer-organizational-unit': '',
                                 'printer-resolution-default': (600, 600, 3),
                                 'printer-resolution-supported': [(600,
                                                                   600,
                                                                   3)],
                                 'printer-settable-attributes-supported': ['printer-geo-location',
                                                                           'printer-info',
                                                                           'printer-location',
                                                                           'printer-organization',
                                                                           'printer-organizational-unit'],
                                 'printer-state': 3,
                                 'printer-state-change-date-time': '(IPP_TAG_DATE)',
                                 'printer-state-change-time': 1502146675,
                                 'printer-state-message': 'ready to print',
                                 'printer-state-reasons': ['none'],
                                 'printer-type': 8556572,
                                 'printer-up-time': 1502171210,
                                 'printer-uri-supported': ['ipp://localhost/printers/HP_Color_LaserJet_MFP_M476nw'],
                                 'printer-uuid': 'urn:uuid:73d476e1-0c44-3799-6d40-fd2fcc069f03',
                                 'pwg-raster-document-resolution-supported': [(600,
                                                                               600,
                                                                               3)],
                                 'pwg-raster-document-sheet-back': 'normal',
                                 'pwg-raster-document-type-supported': ['black_1',
                                                                        'sgray_8',
                                                                        'srgb_8'],
                                 'queued-job-count': 0,
                                 'server-is-sharing-printers': True,
                                 'sides-default': 'one-sided',
                                 'sides-supported': ['one-sided',
                                                     'two-sided-long-edge',
                                                     'two-sided-short-edge'],
                                 'uri-authentication-supported': ['requesting-user-name'],
                                 'uri-security-supported': ['none'],
                                 'which-jobs-supported': ['completed',
                                                          'not-completed',
                                                          'aborted',
                                                          'all',
                                                          'canceled',
                                                          'pending',
                                                          'pending-held',
                                                          'processing',
                                                          'processing-stopped']}}
Page 4 (<troubleshoot.CheckPPDSanity.CheckPPDSanity object at 0x7fbcbc248e48>):
{'cups_printer_ppd_defaults': {'General': {'Duplex': 'None',
                                           'InputSlot': 'Auto',
                                           'PageRegion': 'Letter',
                                           'PageSize': 'Letter'},
                               'HPColorOptionsPanel': {'HPColorAsGray': 'False',
                                                       'HPEdgeControl': 'Normal',
                                                       'HPGeneralHalftone': 'Smooth',
                                                       'HPGraphicsNeutralGrays': 'Black',
                                                       'HPPhotoNeutralGrays': 'ProcessBlack',
                                                       'HPRGBEmulation': 'DefaultSRGB',
                                                       'HPTextNeutralGrays': 'Black'},
                               'HPPaperQualityPanel': {'HPPJLEconoMode': 'False',
                                                       'MediaType': 'Unspecified'},
                               'InstallableOptions': {'HPOption_Duplexer': 'True',
                                                      'HPOption_Tray3': 'False'}},
 'cups_printer_ppd_valid': True,
 'missing_pkgs_and_exes': ([], [])}
Page 5 (<troubleshoot.LocalOrRemote.LocalOrRemote object at 0x7fbcbc2488d0>):
{'printer_is_remote': False}
Page 6 (<troubleshoot.PrinterStateReasons.PrinterStateReasons object at 0x7fbcbc2c5ef0>):
{'printer-state-message': 'ready to print', 'printer-state-reasons': ['none']}
Page 7 (<troubleshoot.VerifyPackages.VerifyPackages object at 0x7fbcbc2c57f0>):
{'packages_verification': {'cups': ['.M.......  c /etc/cups/classes.conf',
                                    '..?......    '
                                    '/etc/cups/cups-files.conf.default',
                                    '..?......    /etc/cups/cupsd.conf.default',
                                    '..?......    /etc/cups/snmp.conf.default',
                                    '..?......    /usr/lib/cups/backend/dnssd',
                                    '..?......    /usr/lib/cups/backend/ipp',
                                    '..?......    /usr/lib/cups/backend/lpd',
                                    'missing     /var/spool/cups/tmp '
                                    '(Permission denied)'],
                           'foomatic': [],
                           'gutenprint': [],
                           'hpijs': ['package hpijs is not installed'],
                           'hplip': ['package hplip is not installed'],
                           'system-config-printer': []}}
Page 8 (<troubleshoot.PrintTestPage.PrintTestPage object at 0x7fbcbc4dfa20>):
{'test_page_attempted': '07/Aug/2017:22:47:29 -0700',
 'test_page_job_id': [116],
 'test_page_job_status': [(True,
                           116,
                           'HP_Color_LaserJet_MFP_M476nw',
                           'Test Page',
                           'Stopped',
                           {'attributes-charset': 'utf-8',
                            'attributes-natural-language': 'en-us',
                            'date-time-at-completed': None,
                            'date-time-at-creation': '(IPP_TAG_DATE)',
                            'date-time-at-processing': '(IPP_TAG_DATE)',
                            'document-format': 'application/vnd.cups-pdf-banner',
                            'document-format-detected': 'application/vnd.cups-pdf-banner',
                            'job-hold-until': 'no-hold',
                            'job-id': 116,
                            'job-impressions-completed': 0,
                            'job-k-octets': 1,
                            'job-media-progress': 0,
                            'job-media-sheets-completed': 0,
                            'job-more-info': 'http://localhost/jobs/116',
                            'job-preserved': True,
                            'job-printer-state-message': 'Filter failed',
                            'job-printer-state-reasons': ['none'],
                            'job-printer-up-time': 1502171296,
                            'job-printer-uri': 'ipp://localhost/printers/HP_Color_LaserJet_MFP_M476nw',
                            'job-priority': 50,
                            'job-sheets': ['none', 'none'],
                            'job-state': 6,
                            'job-state-reasons': 'cups-filter-crashed',
                            'job-uri': 'ipp://localhost/jobs/116',
                            'job-uuid': 'urn:uuid:3752e8e1-b7ef-3723-4768-d3e4744d4a9d',
                            'number-of-documents': 1,
                            'printer-uri': 'ipp://localhost/printers/HP%5FColor%5FLaserJet%5FMFP%5FM476nw',
                            'time-at-completed': None,
                            'time-at-creation': 1502171249,
                            'time-at-processing': 1502171249})],
 'test_page_successful': False}
Page 9 (<troubleshoot.Locale.Locale object at 0x7fbcbc2b6828>):
{'printer_page_size': 'Letter',
 'system_locale_lang': 'en_US',
 'user_locale_ctype': 'en_US',
 'user_locale_messages': 'en_US'}




=================================================

journalctl -u cups -e

Aug 07 22:50:38 otis.casa-del-gato.com cupsd[5294]: cupsdRemoveSelect(fd=16)
Aug 07 22:50:38 otis.casa-del-gato.com cupsd[5294]: cupsdRemoveSelect(fd=-1)
Aug 07 22:50:38 otis.casa-del-gato.com cupsd[5294]: select_timeout: JobHistoryUp
Aug 07 22:50:39 otis.casa-del-gato.com cupsd[5294]: Expiring subscriptions...
Aug 07 22:50:39 otis.casa-del-gato.com cupsd[5294]: select_timeout: JobHistoryUp
Aug 07 22:50:39 otis.casa-del-gato.com cupsd[5294]: select_timeout(0): 19 second
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Saving job.cache...
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Saving subscriptions.conf...
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: cupsdSetBusyState: newbusy="
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Expiring subscriptions...
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Unloading...
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: cupsdCheckJobs: 2 active job
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: cupsdCheckJobs: Job 116 - de
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: cupsdCheckJobs: Job 117 - de
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: clients=1
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: jobs=4
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: jobs-active=2
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: printers=1
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: stringpool-string-co
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: stringpool-alloc-byt
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: Report: stringpool-total-byt
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: select_timeout: JobHistoryUp
Aug 07 22:50:58 otis.casa-del-gato.com cupsd[5294]: select_timeout(0): 278 secon
lines 979-1001/1001 (END)
Comment 1 Peter Robinson 2017-08-08 04:06:45 EDT
Wrong component
Comment 2 Zdenek Dohnal 2017-08-08 04:54:58 EDT
Hi,

thank you for reporting your issue. Do you have hplip package installed? According to troubleshooting output it says you don't have. If you have hplip installed, would you mind reinstalling your printer by:

1) hp-setup -i
2) hp-plugin -i

And would you mind trying printing you document from command line like:

lp -d your_printer_name document
Comment 3 Foggy Farkle 2017-08-19 18:41:00 EDT
(In reply to Peter Robinson from comment #1)
> Wrong component

Please correct as I am unsure how or what to put .
Comment 4 Foggy Farkle 2017-08-19 18:42:11 EDT
(In reply to Zdenek Dohnal from comment #2)
> Hi,
> 
> thank you for reporting your issue. Do you have hplip package installed?
> According to troubleshooting output it says you don't have. If you have
> hplip installed, would you mind reinstalling your printer by:
> 
> 1) hp-setup -i
> 2) hp-plugin -i
> 
> And would you mind trying printing you document from command line like:
> 
> lp -d your_printer_name document

Tried all of this, made no difference. Issue still remains.
Comment 5 Foggy Farkle 2017-08-22 20:27:44 EDT
There has been a recent change, I am guessing a recent update through dnf.

I can now print web pages and emails. Text documents and Libre office documents are still not printing.
Comment 6 Foggy Farkle 2017-08-22 20:46:43 EDT
Further testing today: 8-22-2017

[Howard@otis ~]$ lp -h resistance6nov2016
lp: Error - scheduler not responding.
[Howard@otis ~]$ lp -dh resistance6nov2016
lp: Error - unable to access "resistance6nov2016" - No such file or directory
[Howard@otis ~]$ lp -dh /American Maquisresistance6nov2016
lp: Error - unable to access "/American" - No such file or directory
[Howard@otis ~]$ lp -dh /American Maquis/resistance6nov2016
lp: Error - unable to access "/American" - No such file or directory
[Howard@otis ~]$ lp -dh /home/Howard/AmericanMaquis/resistance6nov2016
lp: The printer or class does not exist.
[Howard@otis ~]$ lp -d -h /home/Howard/AmericanMaquis/resistance6nov2016
lp: The printer or class does not exist.
[Howard@otis ~]$ lp -d /home/Howard/AmericanMaquis/resistance6nov2016
lp: The printer or class does not exist.
[Howard@otis ~]$ lp -h /home/Howard/AmericanMaquis/resistance6nov2016
lp: Error - scheduler not responding.
[Howard@otis ~]$ lp -d HP_Color_la...MFP_M476nw
lp: The printer or class does not exist.
[Howard@otis ~]$ lp -d HP_Color_La*MFP_M476nw
lp: The printer or class does not exist.
[Howard@otis ~]$ lp -d HP_Color_LaserJet_MFP_M476nw /home/Howard/AmericanMaquis/resistance6nov2016*
request id is HP_Color_LaserJet_MFP_M476nw-125 (1 file(s))
[Howard@otis ~]$ 


This printed a text document.

Same doc will not print from Libre Office nor from Text Editor.
Comment 7 Zdenek Dohnal 2017-08-23 04:47:28 EDT
From man pages:

-h hostname[:port] - chooses alternate server

-d destination - print files to the named printer

You can print from CLI lie I mentioned in comment #2 and as you did in last command. Previous errors are correct, you used wrong options or didn't supply arguments.

Can you print like this:

lp -d HP_Color_LaserJet_MFP_M476nw document.pdf

some your pdf document from CLI? Or file from libreoffice try to print from CLI?

lp -d HP_Color_LaserJet_MFP_M476nw libreoffice_document
Comment 8 Zdenek Dohnal 2017-08-23 05:52:26 EDT
Do you have updated cups-filters and qpdf-libs?
Comment 9 Foggy Farkle 2017-09-04 11:39:46 EDT
(In reply to Zdenek Dohnal from comment #7)
> From man pages:
> 
> -h hostname[:port] - chooses alternate server
> 
> -d destination - print files to the named printer
> 
> You can print from CLI lie I mentioned in comment #2 and as you did in last
> command. Previous errors are correct, you used wrong options or didn't
> supply arguments.
> 
> Can you print like this:
> 
> lp -d HP_Color_LaserJet_MFP_M476nw document.pdf
> 
> some your pdf document from CLI? Or file from libreoffice try to print from
> CLI?
> 
> lp -d HP_Color_LaserJet_MFP_M476nw libreoffice_document



Yes, I can Print from command line like this:

lp -d HP_Color_LaserJet_MFP_M476nw document.pdf


And I can Print from an html page using the Firefox print function.
Comment 10 Foggy Farkle 2017-09-04 11:40:56 EDT
(In reply to Zdenek Dohnal from comment #8)
> Do you have updated cups-filters and qpdf-libs?

yes, all filters and libs up to date.


Like this from CLI:

[Howard@otis ~]$ lp -d HP_Color_LaserJet_MFP_M476nw /home/Howard/Documents/listnormandie.odt
request id is HP_Color_LaserJet_MFP_M476nw-128 (1 file(s))
[Howard@otis ~]$



No. The printer starts outputting gibberish, not the document.

Printer does not print .rtf file either.

Printer is printing .pdf and .txt from cli.
Comment 11 Fedora End Of Life 2018-05-03 04:36:23 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2018-05-29 08:54:30 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.